Bug 223255 - devel/imake: Add license information and etc
Summary: devel/imake: Add license information and etc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-26 05:33 UTC by Yasuhiro Kimura
Modified: 2019-02-27 12:58 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
patch file (3.44 KB, patch)
2017-10-26 05:33 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2017-10-26 05:33:41 UTC
Created attachment 187488 [details]
patch file

* Add license information.
* Regenerate patches to fix portlint warnings.
Comment 1 Niclas Zeising freebsd_committer 2018-01-12 22:33:06 UTC
Looking at this
Comment 2 commit-hook freebsd_committer 2019-02-27 12:56:15 UTC
A commit references this bug:

Author: zeising
Date: Wed Feb 27 12:55:19 UTC 2019
New revision: 494049
URL: https://svnweb.freebsd.org/changeset/ports/494049

Log:
  devel/imake Add LICENSE

  Add license information to devel/imake. [1]
  As per discussions with portmgr, there is no need to add the different
  varieties of MIT license, since they are so similar.  Just note that this is
  MIT licensed.

  PR:		223255 [1] (based on)
  Submitted by:	Yasuhiro KIMURA [1]
  Sponsored by:	B3 Init (zeising)

Changes:
  head/devel/imake/Makefile
  head/devel/imake/files/patch-imake.c
  head/devel/imake/files/patch-imakemdep.h
Comment 3 Niclas Zeising freebsd_committer 2019-02-27 12:58:54 UTC
Committed!
Sorry about the delay.
After some discussion with portmgr, we have decided to just mark these ports as MIT license, we don't need to differentiate between the various varieties of MIT in this case, since they are so similar in nature.